#!/usr/bin/bash

BASE_DIR=$(realpath "$0")
BASE_DIR=$(dirname "$BASE_DIR")
export BASE_DIR
export PATH="${BASE_DIR}:$PATH"

DOMAIN_NAME='' PC_NAME='' ADMIN_NAME='' ADMIN_PASS=''  LOCAL_SET=''

while getopts "d:n:u:l" OPTION; do
  case $OPTION in
    'd') DOMAIN_NAME="$OPTARG" ;;
    'n') PC_NAME="$OPTARG" ;;
    'u') ADMIN_NAME="$OPTARG" ;;
    'l') LOCAL_SET="-l" ;;
    *) exit 1 ;;
  esac
done

shift $((OPTIND-1))
OPTIND=1

ADMIN_PASS=$(</dev/stdin)

. ${BASE_DIR}/join-to-domain-function.sh || exit 1

REALM_CHK=$(realm list)
if [[ -n "$REALM_CHK" ]]; then
  ExitDomain -u "$ADMIN_NAME"  -p "$ADMIN_PASS" $LOCAL_SET
else
  if [[ -z "$LOCAL_SET" ]]; then
    if DelPC -d "$DOMAIN_NAME" -n "$PC_NAME" -u "$ADMIN_NAME" -p "$ADMIN_PASS"; then
      LogMess -p -m 'PC account $PC_NAME has been removed from domain.'
    else
      LogMess -p -e -m 'Removing PC account from domain error, see $LOG_FILE'
    fi
  else
    exit 0
  fi
fi
